# ==================================================================
# Plugins::BlockEmailUserSignup - Auto Generated Install Module
#
#   Plugins::BlockEmailUserSignup
#   Author  : Andrew Newby
#   Version : 1
#   Updated : Tue Jul 21 03:50:20 2009
#
# ==================================================================
#

package Plugins::BlockEmailUserSignup;
# ==================================================================
use strict;
use vars  qw/$VERSION $DEBUG $NAME $META/;
use GT::Base;
use GT::Plugins qw/STOP CONTINUE/;
use Links qw/:objects/;

$VERSION = '1';
$DEBUG   = 0;
$NAME    = 'BlockEmailUserSignup';
# Inhert from base class for debug and error methods
@Plugins::BlockEmailUserSignup::ISA = qw(GT::Base);

$META = {
    'author' => 'Andrew Newby',
    'description' => 'Lets you block certain email addresses from signing up.',
    'license' => 'Freeware',
    'prog_ver' => '3.0.4',
    'url' => 'http://www.ultranerds.com',
    'version' => '1'
};


sub pre_install {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they install the plugin.
#
    my $inst_msg = 'Lets you block domains, or actual email addresses when someone signs up.';

    return $inst_msg;
}

sub pre_uninstall {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they remove the plugin.
#
    my $uninst_msg = '';

    return $uninst_msg;
}

sub install {
# -----------------------------------------------------------------------------
# This function does the actual installation.  Its first argument is a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc.  The second argument is a GT::Tar object which you can use to access any
# files in your plugin module.
#
# You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::BlockEmailUserSignup::error
#
    my ($mgr, $tar) = @_;
    
    $mgr->install_hooks('BlockEmailUserSignup', [['user_signup', 'PRE', 'Plugins::BlockEmailUserSignup::user_signup', '']]);
    ;
    return "The plugin has been successfully installed!";
}

sub uninstall {
# -----------------------------------------------------------------------------
# This function removes the plugin.  Its first argument is also a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc. You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::BlockEmailUserSignup::error
#
    my $mgr = shift;
    
    $mgr->uninstall_hooks('BlockEmailUserSignup', [['user_signup', 'PRE', 'Plugins::BlockEmailUserSignup::user_signup', '']]);
    ;
    return "The plugin has been successfully removed!";
}

1;
